﻿//====================================
//  HETN-DIO864T/HWIF-DIO864W
//  Library function header for Windows
//	   File name  : ed864l1a.h
//	Copyright(C) 2018-2019  Hivertec Inc.  
//  All Rights Reserved.
//====================================

// ----------------------
//		定数定義
// ----------------------
#define	RESP_TMO	3000		// Ethernet/WiFi受信タイムアウト時間（3000ms）
								// WiFiを使用している場合は通信中に回線が切断される場合
								// がありますのでタイムアウト発生時のリトライ処理を
								// 組み込むことを推奨します

#define	ILL_PARAM	0x100		// 関数起動時の引数エラー


//----------------------------------------------
//		ライブラリ関数プロトタイプ宣言
//----------------------------------------------
#ifdef __cplusplus
extern "C"
{
#endif

DWORD hed864_ProgLinkSet(short, BYTE*, WORD);

DWORD hed864_GetProgVersion(WORD*, WORD*);

DWORD hed864_GetCmdError(short, short, DWORD*);

#ifdef __cplusplus
}
#endif
