//======================================
//  HETN-DIO864T/HWIF-DIO846W Driver I/F DLL Function
//	    file name:hedio864.h
//	Copyright(C) 2018-2019  Hivertec Inc. All Rights Reserved.
//======================================

#define INVALID_SOCHDL		0x00010000		// ȿ(API߂l:-1)
#define NETDEV_NOTFOUND		0x00020000		// ޲Ȃ(API߂l:-2)
#define RECEIVE_TIMEOUT		0x00040000		// Ethernet receive timeout(API߂l:-3)
#define BUFFER_OVERFLOW		0x00080000		// Ethernet receive buffer overflow(API߂l:-4)
#define ILLEGAL_NETPARAM	0x00100000		// Ұ(API߂l:-5)
#define ILLEGAL_FORMAT		0x00200000		// ް̫ϯĂs(API߂l:-6)
#define ILLEGAL_RESPONSE	0x00400000		// ްُ
#define ILLEGAL_NETDEVICE	0x00800000		// 풓vOł޲\Fُ
#define ILLEGAL_NETACCESS	0x01000000		// ȯܰ̔rpُ
#define ILLEGAL_REGPROG		0x02000000		// 풓vŐNُiN܂͕Nj

// -----------------
//		\
// -----------------
// foCX
typedef struct _HETNDEVINF {	// [UC^[tF[XpfoCX
	short	DevTyp;			// foCX^Cv
	short	BrdID;			// {[hID
	BYTE	IpAdr[4];		// IPAhX
	BYTE	MacAdr[6];		// MACAhX
	BYTE	sp1[2];
} HETNDEVINF, *PHETNDEVINF;

//------------------------------
//	DLL֐vg^Cv
//------------------------------
#ifdef __cplusplus		// for Microsoft C/C++
extern "C"
{
#endif

// 1.foCX̎擾(FfoCX̌)
__declspec(dllimport) DWORD WINAPI ed864_GetDeviceCount(DWORD*);

// 2.foCX̎擾(FfoCX̌AfoCX񃊃Xg̐擪AhX)
__declspec(dllimport) DWORD WINAPI ed864_GetDeviceInfo(DWORD*, PHETNDEVINF);

// 3.foCXI[v(FfoCX^CvA{[hhc)
__declspec(dllimport) DWORD WINAPI ed864_OpenDevice(short, short);

// 4.foCXN[Y(FfoCX^CvA{[hhcj
__declspec(dllimport) DWORD WINAPI ed864_CloseDevice(short, short);

// 5.̓|[gPoCgǏoitB^Of[^j(FfoCX^CvA{[hhcA|[gԍAf[^i[)
__declspec(dllimport) DWORD WINAPI ed864_rInB(short, short, WORD, WORD*);

// 6.o̓|[gPoCgǏo(FfoCX^CvA{[hhcA|[gԍAf[^i[)
__declspec(dllimport) DWORD WINAPI ed864_rOutB(short, short, WORD, WORD*);

// 7.o̓|[gPoCg(FfoCX^CvA{[hhcA|[gԍAo̓f[^)
__declspec(dllimport) DWORD WINAPI ed864_wOutB(short, short, WORD, WORD);

// 8.̓|[gQoCgǏoitB^Of[^j(FfoCX^CvA{[hhcA|[gԍAf[^i[)
__declspec(dllimport) DWORD WINAPI ed864_rInW(short, short, WORD, WORD*);

// 9.o̓|[gQoCgǏo(FfoCX^CvA{[hhcA|[gԍAf[^i[)
__declspec(dllimport) DWORD WINAPI ed864_rOutW(short, short, WORD, WORD*);

// 10.o̓|[gQoCg(FfoCX^CvA{[hhcA|[gԍAo̓f[^)
__declspec(dllimport) DWORD WINAPI ed864_wOutW(short, short, WORD, WORD);

// 11.̓|[gSoCgǏoitB^Of[^j(FfoCX^CvA{[hhcA|[gԍAf[^i[)
__declspec(dllimport) DWORD WINAPI ed864_rInDW(short, short, DWORD*);

// 12.o̓|[gSoCgǏo(FfoCX^CvA{[hhcA|[gԍAf[^i[)
__declspec(dllimport) DWORD WINAPI ed864_rOutDW(short, short, DWORD*);

// 13.o̓|[gSoCg(FfoCX^CvA{[hhcA|[gԍAo̓f[^)
__declspec(dllimport) DWORD WINAPI ed864_wOutDW(short, short, DWORD);

// 14.̓|[gSoCgǏoo̓|[gSoCg(FfoCX^CvA{[hhcA̓f[^i[Ao̓f[^)
__declspec(dllimport) DWORD WINAPI ed864_InOutDW(short, short, DWORD*, DWORD);

// 15.tB^ݒ(FfoCX^CvA{[hhcA|[gwAtB^ԍ)
__declspec(dllimport) DWORD WINAPI ed864_SetFilter(short, short, WORD, WORD);

// 16.{[hŗLR[h(HEX4)̎擾(FfoCX^CvA{[hhcAR[hi[)
__declspec(dllimport) DWORD WINAPI ed864_GetBoardCode(short, short, WORD*);

// 17.o[W擾(FfoCX^CvA{[hhcAo[Wi[)
__declspec(dllimport) DWORD WINAPI ed864_rVersion(short, short, WORD*);

// 18.풓vONݒ(FNIPAhXAN߰ăAhXA^CAEgj
__declspec(dllimport) DWORD WINAPI ed864_SetProgLink(BYTE*, WORD, WORD);

// 19.풓vOo[W擾(F풓vOo[Wi[ACu[o[Wi[j
__declspec(dllimport) DWORD WINAPI ed864_GetProgVersion(WORD*, WORD*);

// 20.풓vO(Fڑi[Af[^őTCYw肨я݃TCYi[A^CAEgj
__declspec(dllimport) DWORD WINAPI ed864_EtnSearch(BYTE*, WORD*, WORD);

// 21.EthernetM(FfoCX^CvA{[hhcAMf[^AMf[^)
__declspec(dllimport) DWORD WINAPI ed864_EtnSend(short, short, BYTE*, WORD*);

// 22.EthernetM(FfoCX^CvA{[hhcAf[^i[AMf[^)
__declspec(dllimport) DWORD WINAPI ed864_EtnRecv(short, short, BYTE*, WORD*);	

// 23.I[vς݃vZX̎擾
__declspec(dllimport) DWORD WINAPI ed864_GetOpenDevCount(short, short, short*);

#ifdef __cplusplus
}
#endif

