
using System;
using System.Runtime.InteropServices;

// HETN-DIO864T/HWIF-DIO864W Driver I/F DLL Functions
// file name:hedio864.cs
// Copyright(C) 2018-2019  Hivertec,inc. All Rights Reserved.

public class Hedio864
{
	// ߂l
	public const uint INVALID_SOCHDL = 0x10000;        // ȿ(API߂l:-1)
	public const uint NETDEV_NOTFOUND = 0x20000;       // ޲Ȃ(API߂l:-2)
	public const uint RECEIVE_TIMEOUT = 0x40000;       // Ethernet receive timeout(API߂l:-3)
	public const uint BUFFER_OVERFLOW = 0x80000;		// Ethernet receive buffer overflow(API߂l:-4)
	public const uint ILLEGAL_NETPARAM = 0x100000;		// Ұ(API߂l:-5)
	public const uint ILLEGAL_FORMAT = 0x200000;		// ް̫ϯĂs(API߂l:-6)
	public const uint ILLEGAL_RESPONSE = 0x400000;		// ްُ
	public const uint ILLEGAL_NETDEVICE = 0x800000;	    // 풓vOł޲\Fُ
	public const uint ILLEGAL_NETACCESS = 0x1000000;	// ȯܰ̔rpُ
    public const uint ILLEGAL_REGPROG = 0x2000000;		// 풓vŐNُiN܂͕Nj

    // foCX
    [StructLayout(LayoutKind.Sequential)]
    public struct HETNDEVINF
    {
        public short DevTyp;			// foCX^Cv
        public short BrdID;			// {[hID
        public byte IpAdr1;		    // IPAhX
        public byte IpAdr2;
        public byte IpAdr3;
        public byte IpAdr4;
        public byte MacAdr1;		// MACAhX
        public byte MacAdr2;
        public byte MacAdr3;
        public byte MacAdr4;
        public byte MacAdr5;
        public byte MacAdr6;
        public byte sp1;
        public byte sp2;
    }

	// 1.foCX̎擾(FfoCX̌)
	[DllImport("Hedio864.dll")]
    public static extern uint ed864_GetDeviceCount(ref uint count);

    // 2.foCX̎擾(FfoCX̌AfoCX񃊃Xg̐擪AhX)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_GetDeviceInfo(ref uint count, [In, Out, MarshalAs(UnmanagedType.LPArray)] HETNDEVINF[] HetnInf);

    // 3.foCXI[v(FfoCX^CvA{[hhc)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_OpenDevice(short type, short bid);

    // 4.foCXN[Y(FfoCX^CvA{[hhc)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_CloseDevice(short type, short bid);

    // 5.̓|[gPoCgǍ(FfoCX^CvA{[hhcA|[gԍAf[^i[)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_rInB(short type, short bid, ushort port, ref ushort wrdt);

    // 6.o̓|[gPoCgǍ(FfoCX^CvA{[hhcA|[gԍAf[^i[)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_rOutB(short type, short bid, ushort port, ref ushort wrdt);

    // 7.o̓|[gPoCg(FfoCX^CvA{[hhcA|[gԍAo̓f[^)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_wOutB(short type, short bid, ushort port, ushort wwdt);

    // 8.̓|[gQoCgǍ(FfoCX^CvA{[hhcA|[gԍAf[^i[)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_rInW(short type, short bid, ushort port, ref ushort wwdt);

    // 9.o̓|[gQoCgǍ(FfoCX^CvA{[hhcA|[gԍAf[^i[)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_rOutW(short type, short bid, ushort port, ref ushort wwdt);

    // 10.o̓|[gQoCg(FfoCX^CvA{[hhcA|[gԍAo̓f[^)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_wOutW(short type, short bid, ushort port, ushort wwdt);

    // 11.̓|[gSoCgǍ(FfoCX^CvA{[hhcAf[^i[)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_rInDW(short type, short bid, ref uint drdt);

    // 12.o̓|[gSoCgǍ(FfoCX^CvA{[hhcAf[^i[)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_rOutDW(short type, short bid, ref uint drdt);

    // 13.o̓|[gSoCg(FfoCX^CvA{[hhcAo̓f[^)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_wOutDW(short type, short bid, uint dwdt);

    // 14.̓|[gSoCgǏoo̓|[gSoCg(FfoCX^CvA{[hhcA̓f[^i[Ao̓f[^)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_InOutDW(short type, short bid, ref uint drdt, uint dwdt);

    // 15.tB^ݒ(FfoCX^CvA{[hhcA|[gwAAtB^ԍ)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_SetFilter(short type, short bid, ushort port, uint wfno);

    // 16.{[hŗLR[h(HEX4)̎擾(FfoCX^CvA{[hhcAR[hi[)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_GetBoardCode(short type, short bid, ref ushort code);

    // 17.o[W擾(FfoCX^CvA{[hhcAo[Wi[)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_rVersion(short type, short bid, [MarshalAs(UnmanagedType.LPArray)] ushort[] ver);

    // 18.풓vONݒ(FNIPAhXAN߰ăAhXA^CAEgj
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_SetProgLink([MarshalAs(UnmanagedType.LPArray)] byte[] ip, ushort port, ushort tmo);

    // 19.풓vOo[W擾(F풓vOo[Wi[ACu[o[Wi[j
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_GetProgVersion(ref ushort rver, ref ushort lver);

    // 20.풓vO(Fڑi[Af[^őTCYw肨я݃TCYi[A^CAEgj
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_EtnSearch([MarshalAs(UnmanagedType.LPArray)] byte[] info, ref ushort size, ushort tmo);

    // 21.EthernetM(FfoCX^CvA{[hhcAMf[^AMf[^)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_EtnSend(short type, short bid, [MarshalAs(UnmanagedType.LPArray)] byte[] rdt, ref ushort size);

    // 22.EthernetM(FfoCX^CvA{[hhcAf[^i[AMf[^)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_EtnRecv(short type, short bid, [MarshalAs(UnmanagedType.LPArray)] byte[] rdt, ref ushort size);

    // 23.foCXI[vςݐڑ̎擾(FfoCX^CvA{[hhcAڑi[)
    [DllImport("Hedio864.dll")]
    public static extern uint ed864_GetOpenDevCount(short type, short bid, ref short num );
}
 